html{
    height: 100%;
}

.logo{
    font-size: 20px;
    text-align: center;
    padding: 20px 20px 0;
    margin: 0;
}

.logo-item{
    padding: 15px 15px 0;
    margin: 10px 10px 0;
    border-radius: 3px;
}

input{
    border: 0;
    color: inherit;
    font: inherit;
    margin: 0;
    outline: 0;
    padding: 0;
    transition: background-color .3s;
}

.user:before {
    content: '\f007';
    font: 14px fontawesome;
    color: dimgrey;
}

.lock:before {
    content: '\f023';
    font: 14px fontawesome;
    color: dimgrey;
}

.hidden {
    border: 0;
    clip: rect(0 0 0 0);
    height: 1px;
    margin: -1px;
    overflow: hidden;
    padding: 0;
    position: absolute;
    width: 1px;
}

.form input[type="password"], .form input[type="text"], .form input[type="submit"] {
    width: 100%;
}
  
.form-login label{
    border-radius: 0.25rem;
    padding: 1rem;
    color: white; 
}

.form-login input[type="text"],
.form-login input[type="password"],
.form-login input[type="submit"] {
    border-radius: 0.25rem;
    padding: 1rem;
    color: black;  
}
  
.form-login label {
    background-color: #222222;
    border-bottom-right-radius: 0;
    border-top-right-radius: 0;
    padding-left: 1.25rem;
    padding-right: 1.25rem;
}
  
.form-login input[type="text"], .form-login input[type="password"], .form-login input[type="date"]{
    background-color: silver;
    border-bottom-left-radius: 0;
    border-top-left-radius: 0;
}

.form-login input[type="text"]:focus, .form-login input[type="text"]:hover, .form-login input[type="password"]:focus, .form-login input[type="password"]:hover {
    background-color: whitesmoke;
}

.form-login input[type="submit"] {
    background-color: cadetblue;
    color: seashell;
    font-weight: bold;
    text-transform: uppercase;
}

.form-login input[type="submit"]:focus, .form-login input[type="submit"]:hover {
    background-color: powderblue;
}

.form-field {
    display: -webkit-box;
    display: -webkit-flex;
    display: -ms-flexbox;
    display: flex;
    margin-bottom: 2rem;
}

.text--center {
    text-align: center;
}

.navigation {
    display: flex;
    flex-flow: row wrap;
    justify-content: flex-end;
    
    list-style: none;
    margin: 0; 
    background: deepskyblue;
}
  
.navigation a {
    text-decoration: none;
    display: block;
    padding: 1em;
    color: white;
}
  
.navigation a:hover {
    background: #1565C0;
}
  
@media all and (max-width: 800px) {
    .navigation {
      justify-content: space-around;
    }
}
  
@media all and (max-width: 600px) {
    .navigation {
      flex-flow: column wrap;
      padding: 0;
    }

    .navigation a { 
        text-align: center; 
        padding: 10px;
        border-top: 1px solid rgba(255, 255, 255,0.3); 
        border-bottom: 1px solid rgba(0, 0, 0, 0.1); 
    }

    .navigation li:last-of-type a {
        border-bottom: none;
    }
}